Unit tec12c_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FEC12C_p, EC12C_p;

function tec12c: String;

implementation

function tec12c: String;
var
I,J,L,_i :Integer;
T1,T2 :Real;
GR :Array [0..63] of Real;
GI :Array [0..63] of Real;
H :Array [0..3] of Real;
FR :Array [0..63] of Real;
FI :Array [0..63] of Real;
const
N1 :Integer = 8;
N2 :Integer = 8;
D1 :Real = 0.25;
D2 :Real = 0.25;
ALP :Real = 3.0E-02;
P :Real = 1.0;
label
_1;
begin
Result := '';  {   }
for I:=1 to N1 do
 begin
  for J:=1 to N2 do
   begin
    T1 := D1*(-N1/2+I-1);
    T2 := D2*(-N2/2+J-1);
    GR[(I-1)+(J-1)*8] := 1.57079632679*Exp(-(T1*T1+T2*T2)/2.0);
_1:
    GI[(I-1)+(J-1)*8] := 0.0;
   end;
 end;
L := 1;
EC12C(FEC12C,GR,GI,N1,N2,D1,D2,ALP,P,L,H,FR,FI);
L := 2;
EC12C(FEC12C,GR,GI,N1,N2,D1,D2,ALP,P,L,H,FR,FI);
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%16.7f ',[H[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['FR=']);
Result := Result + #$0D#$0A;
for _i:=0 to 63 do
 begin
  Result := Result + Format('%16.7f ',[FR[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['FI=']);
Result := Result + #$0D#$0A;
for _i:=0 to 63 do
 begin
  Result := Result + Format('%16.7f ',[FI[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tec12c',Result);  {     tec12c.res }
exit;
end;

end.
